# TMR_String Struct Reference

`#include <tmr_types.h>`

List of all members.

## Public Attributes

char * | value
uint16_t | max

## Detailed Description

Internal string representation with known storage size

## Member Data Documentation

uint16_t TMR_String::max

The allocated number of bytes pointed to

char* TMR_String::value

The null-terminated string value

The documentation for this struct was generated from the following file:

- tmr_types.h